Subject: Re: bug#59609: 29.0.50; [PATCH] Better advertise (Non-)GNU ELPA in emacs manual

From: Stefan Kangas <[email-masked]>
Date: Wed, 30 Nov 2022 19:49:47 -0800

Richard Stallman <[email-masked]> writes:

>   > +  By default, Emacs downloads packages from GNU ELPA
>   > +(@url{https://elpa.gnu.org/}), a package archive maintained by the
>   > +Emacs developers and hosted by the GNU project.  It also downloads
>   > +packages from NonGNU ELPA (@url{https://elpa.nongnu.org/}).
>
>     I think it is ok to say this about NonGNU ELPA provided we say
>     clearly that these are packages we can't or should not include in
>     Emacs, so people should not depend on them to continue to be
>     present.

I see no risk that the packages will suddenly go away.  Under what
circumstances would that happen?

In some cases, we will delete packages from NonGNU ELPA, of course.
This is true for GNU ELPA also, and for Emacs itself.  But I don't see
why we need to get into all that in this section, where we are just
letting people know that GNU ELPA and NonGNU ELPA exist.